Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-4898428

JSSE and JCE frameworks should use Provider.Service API

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P3
    • Resolution: Fixed
    • Affects Version/s: 5.0
    • Fix Version/s: 5.0
    • Component/s: security-libs
    • Labels:
      None
    • Subcomponent:
    • Resolved In Build:
      tiger
    • CPU:
      generic
    • OS:
      generic

      Description

      (I am filing one bug to cover both JSSE and JCE)

      The JSSE and JCE frameworks should be updated to use the just introduced Provider.Service API. This will lead to:

       . much better performance for x.getInstance()

       . additional features (error failover, integration with hardware providers for JCE)

       . elimination of duplicated code

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              andreas Andreas Sterbenz
              Reporter:
              andreas Andreas Sterbenz
              Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Imported:
                Indexed: